## python-qtawesome 1.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/qtawesome.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/qtawesome.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/qtawesome"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/qtawesome"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-qtawesome 0.3.3

=== debian/changelog ===
python-qtawesome (0.3.3-3) unstable; urgency=medium

  * d/gbp.conf: no patch numbering with gbp-pq.
  * Add patch preventing intersphinx from accessing the internet.
    Thanks to Chris Lamb (Closes: #830606)
  * Add python-doc to build dependencies.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 11 Jul 2016 15:56:18 +0100

python-qtawesome (0.3.3-2) unstable; urgency=medium

  * Enable upstream testsuite.
  * Add packaging testsuite.
  * d/clean: remove unnecessary listing of sphinx directory.
  * d/rules: improve formatting of sphinx-build command.
  * Bump standards version to 3.9.8, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 08 Jul 2016 12:35:03 +0100

python-qtawesome (0.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 11 Apr 2016 20:37:02 +0100

python-qtawesome (0.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #814718)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 23 Mar 2016 11:49:35 +0000

=== debian/control ===
Source: python-qtawesome
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-doc,
               python-qtpy,
               python-setuptools,
               python-six,
               python-sphinx,
               python3-all,
               python3-qtpy,
               python3-setuptools,
               python3-six,
               xauth,
               xvfb
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-qtawesome.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-qtawesome.git
Homepage: https://github.com/spyder-ide/qtawesome
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-qtawesome
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-qtawesome-common
Suggests: python-qtawesome-doc
Description: iconic fonts in PyQt and PySide applications (Python 2)
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides QtAwesome for the Python 2 interpreter.

Package: python3-qtawesome
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python-qtawesome-common
Suggests: python-qtawesome-doc
Description: iconic fonts in PyQt and PySide applications (Python 3)
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides QtAwesome for the Python 3 interpreter.

Package: python-qtawesome-common
Architecture: all
Depends: ${misc:Depends},
         fonts-elusive-icons,
         fonts-font-awesome
Description: common files for QtAwesome
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides the files common to all QtAwesome Python packages.

Package: python-qtawesome-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation and examples for QtAwesome
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides the documentation and examples for QtAwesome.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=qtawesome

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b html docs/source build/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_BEFORE_TEST="cp {dir}/example.py {build_dir}" \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} example.py" \
	PYBUILD_AFTER_TEST="rm {build_dir}/example.py" \
		xvfb-run dh_auto_test

=== debian/tests/control ===
Test-Command: cp ./example.py $AUTOPKGTEST_TMP ; cd $AUTOPKGTEST_TMP ; xvfb-run python example.py
Depends: python, python-qtawesome, python-six, xauth, xvfb

Test-Command: cp ./example.py $AUTOPKGTEST_TMP ; cd $AUTOPKGTEST_TMP ; xvfb-run python3 example.py
Depends: python3, python3-qtawesome, python3-six, xauth, xvfb

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|a|b|c)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qtawesome-$1\.tar\.gz/ \
https://github.com/spyder-ide/qtawesome/tags .*/v?(\d\S*)\.tar\.gz

## python-qtawesome 0.4.3

=== debian/changelog ===
python-qtawesome (0.4.3-1ubuntu1) zesty; urgency=medium

  * Call xvfb-run with -a -s "-screen 0 1024x768x24 +extension GLX" options,
    to fix segmentation faults.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 01 Feb 2017 23:36:29 +0300

python-qtawesome (0.4.3-1) unstable; urgency=medium

  * Switch to git-dpm
  * Add tag format settings
  * Drop gbp configuration
  * Track future releases on PyPI
  * New upstream release
  * Rebase patch queue
    - The patch queue is numbered now
    - Intersphinx patch now links with Python 3 docs 
  * Now build depends on python3-{doc,sphinx}
  * Add patch enabling use of the packaged fonts
    New patch 0002-Use-system-fonts.patch
  * Support the nocheck build profile
  * Support the nodoc build profile
  * Improve the autopkgtest test suite
    - Drop superfluous Testsuite field
    - Simplify the test commands
    - Use minimal list of t-deps
  * Upgrade packaging to debhelper 10
  * Use sphinxdoc:Built-Using substvar
  * Update description of binary packages
  * Fix whitespaces in rules file
  * Simplify setup of tests in pybuild

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 24 Jan 2017 00:47:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: python-qtawesome
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
+               dpkg-dev (>= 1.17.14),
                python-all,
-               python-doc,
                python-qtpy,
                python-setuptools,
                python-six,
-               python-sphinx,
                python3-all,
+               python3-doc <!nodoc>,
                python3-qtpy,
                python3-setuptools,
                python3-six,
-               xauth,
-               xvfb
+               python3-sphinx <!nodoc>,
+               sphinx-common,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-qtawesome.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-qtawesome.git
@@ -35,7 +37,7 @@
  QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
  PyQt and PySide applications.
  .
- This package provides QtAwesome for the Python 2 interpreter.
+ This package provides QtAwesome for Python 2.
 
 Package: python3-qtawesome
 Architecture: all
@@ -47,7 +49,7 @@
  QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
  PyQt and PySide applications.
  .
- This package provides QtAwesome for the Python 3 interpreter.
+ This package provides QtAwesome for Python 3.
 
 Package: python-qtawesome-common
 Architecture: all
@@ -65,8 +67,10 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation and examples for QtAwesome
  QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
  PyQt and PySide applications.
  .
  This package provides the documentation and examples for QtAwesome.
+Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" python example.py
Depends: python-qtawesome, xauth, xvfb

Test-Command: xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" python3 example.py
Depends: python3-qtawesome, xauth, xvfb

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/QtAwesome/QtAwesome@ANY_VERSION@@ARCHIVE_EXT@

## python-qtawesome 0.4.4%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = qtawesome

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -b html docs/source build/html
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} {dir}/example.py" \
		xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" dh_auto_test
endif

## python-qtawesome 0.4.4+ds1

=== debian/changelog ===
python-qtawesome (0.4.4+ds1-1) unstable; urgency=medium

  * Filter spurious bytecode files from tarball
  * New upstream release (Closes: #844601)
  * Call xvfb-run with -a -s "-screen 0 1024x768x24 +extension GLX" to fix
    segfaults on Ubuntu.
    Thanks to Dmitry Shachnev
  * Run autopkgtests for all supported Python versions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 27 Mar 2017 14:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-qtawesome
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,14 @@
 export PYBUILD_NAME = qtawesome
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. python3 -m sphinx -N -b html docs/source build/html
+	PYTHONPATH=. sphinx-build -N -b html docs/source build/html
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: set -e
 ; cp example.py "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" $py example.py
 ; done
Depends: python-all,
         python-qtawesome,
         xauth,
         xvfb

Test-Command: set -e
 ; cp example.py "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" $py example.py
 ; done
Depends: python3-all,
         python3-qtawesome,
         xauth,
         xvfb

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/QtAwesome/QtAwesome@ANY_VERSION@@ARCHIVE_EXT@

## python-qtawesome 1.0.2

=== debian/changelog ===
python-qtawesome (1.0.2-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * Team upload.
  * New upstream source.
  * Temporarily include a local copy of materialdesignicons-webfont.ttf
    until the fonts-materialdesignicons-webfont package is updated to a
    sufficiently recent version.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Feb 2021 14:01:17 +0000

python-qtawesome (0.4.4+ds1-3) unstable; urgency=medium

  * Team upload
  * Drop python2 autopkgtest

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Nov 2019 15:09:27 +0000

python-qtawesome (0.4.4+ds1-2) unstable; urgency=medium

  * Team Upload
  [Ondřej Nový]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat

  [Picca Frédéric-Emmanuel]
  * Switch to compat level 12
  * Removed Python2 module (Closes: #938115)
  * Added salsa-ci.yml

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 15 Oct 2019 20:32:34 +0200

=== debian/control ===
Source: python-qtawesome
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-doc <!nodoc>,
               python3-fonttools,
               python3-qtpy,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               sphinx-common,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtawesome
Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtawesome.git
Homepage: https://github.com/spyder-ide/qtawesome

Package: python3-qtawesome
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python-qtawesome-common (= ${binary:Version})
Suggests: python-qtawesome-doc
Description: iconic fonts in PyQt and PySide applications (Python 3)
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides QtAwesome for Python 3.

Package: python-qtawesome-common
Architecture: all
Depends: ${misc:Depends},
         fonts-elusive-icons,
         fonts-font-awesome
Description: common files for QtAwesome
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides the files common to all QtAwesome Python packages.

Package: python-qtawesome-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-qtawesome (= ${binary:Version})
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation and examples for QtAwesome
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides the documentation and examples for QtAwesome.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = qtawesome

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -b html docs/source build/html

override_dh_installdocs:
	dh_installdocs -ppython-qtawesome-doc --doc-main-package=python3-qtawesome
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-qtawesome-doc --doc-main-package=python3-qtawesome
	dh_installexamples --remaining-packages
else
%:
	dh $@ --buildsystem=pybuild
endif

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} {dir}/example.py" \
		xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" dh_auto_test
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp example.py "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" $py example.py
 ; done
Depends: python3-all,
         python3-qtawesome,
         xauth,
         xvfb

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-language-server-$1\.tar\.gz/ https://github.com/spyder-ide/qtawesome/tags .*/v?(\d\S+)\.tar\.gz

## python-qtawesome 1.1.1

=== debian/changelog ===
python-qtawesome (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Fix autopkgtest scripts

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Dec 2021 16:22:32 +0000

python-qtawesome (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Fix d/watch
  * Add Multi-Arch: foreign fields to make multiarch hinter happy
  * Add package's tests to autopkgtest
  * Add manpage for qta-browser

 -- Julian Gilbey <jdg@debian.org>  Mon, 29 Nov 2021 09:21:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-qtawesome
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+   Julian Gilbey <jdg@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,13 +9,15 @@
                python3-all,
                python3-doc <!nodoc>,
                python3-fonttools,
+               python3-pytest <!nocheck>,
+               python3-pytestqt <!nocheck>,
+               python3-pytest-xvfb <!nocheck>,
                python3-qtpy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               sphinx-common,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtawesome
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtawesome.git
 Homepage: https://github.com/spyder-ide/qtawesome
@@ -33,6 +36,7 @@
 
 Package: python-qtawesome-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          fonts-elusive-icons,
          fonts-font-awesome
@@ -44,6 +48,7 @@
 
 Package: python-qtawesome-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,5 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} {dir}/example.py" \
 		xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" dh_auto_test
+	dh_auto_test -- --test-pytest --test-args qtawesome/tests
 endif

=== debian/tests/control ===
Tests: pytest, test-example
Depends: python3-qtawesome,
         python3-all,
         python3-pytest,
         python3-pytestqt,
         python3-pytest-xvfb,
         xauth,
         xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qtawesome-$1\.tar\.gz/ https://github.com/spyder-ide/qtawesome/tags .*/v?(\d\S+)\.tar\.gz

## python-qtawesome 1.2.2+dfsg

=== debian/changelog ===
python-qtawesome (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update d/copyright
  * Fix duplicate font names issue by copying ForkAwesome font and
    changing its fontname (Closes: #1027960)
  * Use DEP-3 headers on patch files
  * Fix some lintian messages: remove build-using on arch-all package; add
    bug tracking to metadata file; add rules-requires-root field

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Jan 2023 05:29:40 +0000

python-qtawesome (1.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not run unique font family test

 -- Bastian Germann <bage@debian.org>  Wed, 04 Jan 2023 22:11:09 +0100

python-qtawesome (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Exclude fontawesome5 fonts (Closes: #1025000)
  * Replace excluded fonts with Fork Awesome
  * New upstream version 1.2.1+dfsg
  * Disable tests

 -- Bastian Germann <bage@debian.org>  Wed, 04 Jan 2023 21:05:15 +0100

python-qtawesome (1.1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 18:42:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               fonts-fork-awesome,
                python3-all,
                python3-doc <!nodoc>,
                python3-fonttools,
-               python3-pytest <!nocheck>,
-               python3-pytestqt <!nocheck>,
-               python3-pytest-xvfb <!nocheck>,
                python3-qtpy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               xauth <!nocheck>,
-               xvfb <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtawesome
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtawesome.git
 Homepage: https://github.com/spyder-ide/qtawesome
@@ -39,12 +36,15 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          fonts-elusive-icons,
+         fonts-fork-awesome,
          fonts-font-awesome
 Description: common files for QtAwesome
  QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
  PyQt and PySide applications.
  .
  This package provides the files common to all QtAwesome Python packages.
+ Font Awesome 5 is replaced with Fork Awesome which might have a visual
+ effect in packages that make use of Font Awesome 5.
 
 Package: python-qtawesome-doc
 Architecture: all
@@ -53,7 +53,6 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Recommends: python3-qtawesome (= ${binary:Version})
-Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation and examples for QtAwesome
  QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
  PyQt and PySide applications.

## python-qtawesome 1.2.3+dfsg

=== debian/changelog ===
python-qtawesome (1.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Jun 2023 08:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          fonts-elusive-icons,
-         fonts-fork-awesome,
          fonts-font-awesome
 Description: common files for QtAwesome
  QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,12 @@
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
+
+execute_before_dh_auto_build:
+	for type in brands regular solid; do \
+	    cp -p /usr/share/fonts-fork-awesome/fonts/forkawesome-webfont.ttf qtawesome/fonts/fontawesome5-$${type}-webfont.ttf; \
+	    debian/fontname.py "forkawesome $${type}" qtawesome/fonts/fontawesome5-$${type}-webfont.ttf; \
+	    done
 
 execute_after_dh_auto_build:
 	PYTHONPATH=. python3 -m sphinx -N -b html docs/source build/html
@@ -23,11 +29,3 @@
 %:
 	dh $@ --buildsystem=pybuild
 endif
-
-ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} {dir}/example.py" \
-		xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" dh_auto_test
-	dh_auto_test -- --test-pytest --test-args qtawesome/tests
-endif

## python-qtawesome 1.3.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 execute_before_dh_auto_build:
 	for type in brands regular solid; do \
-	    cp -p /usr/share/fonts-fork-awesome/fonts/forkawesome-webfont.ttf qtawesome/fonts/fontawesome5-$${type}-webfont.ttf; \
-	    debian/fontname.py "forkawesome $${type}" qtawesome/fonts/fontawesome5-$${type}-webfont.ttf; \
+	    cp -p /usr/share/fonts-fork-awesome/fonts/forkawesome-webfont.ttf qtawesome/fonts/fontawesome5-$${type}-webfont-5.15.4.ttf; \
+	    debian/fontname.py "forkawesome $${type}" qtawesome/fonts/fontawesome5-$${type}-webfont-5.15.4.ttf; \
 	    done
 
 execute_after_dh_auto_build:

## python-qtawesome 1.3.1+dfsg

=== debian/changelog ===
python-qtawesome (1.3.1+dfsg-3) unstable; urgency=medium

  * Depend on Python Qt toolkit for build-time tests; test with PyQt6 and
    PySide 6, both at build and autopkgtest time (closes: #1094059)
  * Add description of Qt toolkit dependencies to package description

 -- Julian Gilbey <jdg@debian.org>  Sun, 26 Jan 2025 22:55:43 +0000

python-qtawesome (1.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix d/clean to permit multiple builds in a row (Closes: #1048918).
  * Add dependency on python3-qtpy-pyqt5 to autopkgtest tests
    (Closes: #1089942).

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 Jan 2025 15:31:53 +1100

python-qtawesome (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Fri, 08 Nov 2024 07:30:58 +0000

=== debian/control ===
Source: python-qtawesome
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Julian Gilbey <jdg@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               fonts-fork-awesome,
               python3-all,
               python3-doc <!nodoc>,
               python3-fonttools,
               python3-pyqt6 <!nocheck>,
               python3-pyside6.qtcore <!nocheck>,
               python3-pyside6.qtgui <!nocheck>,
               python3-pyside6.qtopengl <!nocheck>,
               python3-pyside6.qtwidgets <!nocheck>,
               python3-qtpy,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtawesome
Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtawesome.git
Homepage: https://github.com/spyder-ide/qtawesome

Package: python3-qtawesome
Architecture: all
Depends: python-qtawesome-common (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-qtawesome-doc
Description: iconic fonts in PyQt and PySide applications (Python 3)
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides QtAwesome for Python 3.  Note that this package
 does not depend on any Python Qt toolkit but instead uses qtpy; the
 depending application needs to depend on an appropriate toolkit (and
 set QT_API if needed; see the python3-qtpy documentation); these are
 python3-pyqt5 for PyQt5, python3-pyqt6 for PyQt6 and
 python3-pyside6.qtcore, python3-pyside6.qtgui,
 python3-pyside6.qtopengl, python3-pyside6.qtwidgets for PySide 6.

Package: python-qtawesome-common
Architecture: all
Multi-Arch: foreign
Depends: fonts-elusive-icons,
         fonts-font-awesome,
         ${misc:Depends}
Description: common files for QtAwesome
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides the files common to all QtAwesome Python packages.
 Font Awesome 5 is replaced with Fork Awesome which might have a visual
 effect in packages that make use of Font Awesome 5.

Package: python-qtawesome-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: python3-doc,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-qtawesome (= ${binary:Version})
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation and examples for QtAwesome
 QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in
 PyQt and PySide applications.
 .
 This package provides the documentation and examples for QtAwesome.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,9 @@
 %:
 	dh $@ --buildsystem=pybuild
 endif
+
+# We only check with PyQt6 and PySide 6 as PyQt5 is end-of-life
+# and will soon be dropped from Debian.
+override_dh_auto_test:
+	QT_API=pyqt6 dh_auto_test --buildsystem=pybuild
+	QT_API=pyside6 dh_auto_test --buildsystem=pybuild

## python-qtawesome 1.4.0

=== debian/changelog ===
python-qtawesome (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * Include fontawesome fonts again as qtawesome 1.4.0 uses both
    fontawesome 5 and 6.  One day, someone may package a fully compliant
    DFSG version of these fonts, but in the meantime, we'll use what there
    is.

 -- Julian Gilbey <jdg@debian.org>  Mon, 31 Mar 2025 18:49:51 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtawesome
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtawesome.git

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,12 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-execute_before_dh_auto_build:
-	for type in brands regular solid; do \
-	    cp -p /usr/share/fonts-fork-awesome/fonts/forkawesome-webfont.ttf qtawesome/fonts/fontawesome5-$${type}-webfont-5.15.4.ttf; \
-	    debian/fontname.py "forkawesome $${type}" qtawesome/fonts/fontawesome5-$${type}-webfont-5.15.4.ttf; \
-	    done
-
 execute_after_dh_auto_build:
 	PYTHONPATH=. python3 -m sphinx -N -b html docs/source build/html
+
+execute_after_dh_auto_install:
+	# This script only makes sense on Windows
+	rm -f debian/python3-qtawesome/usr/bin/qta-install-fonts-all-users
 
 override_dh_installdocs:
 	dh_installdocs -ppython-qtawesome-doc --doc-main-package=python3-qtawesome

=== debian/tests/control ===
Test-Command: debian/tests/qtawesome-tests pyqt6
Features: test-name=python3-qtawesome-pyqt6
Depends: python3-all,
         python3-pyqt6,
         python3-pytest,
         python3-pytest-xvfb,
         python3-pytestqt,
         python3-qtawesome,
         xauth,
         xvfb
Restrictions: allow-stderr

Test-Command: debian/tests/qtawesome-tests pyside6
Features: test-name=python3-qtawesome-pyside6
Depends: python3-all,
         python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtopengl,
         python3-pyside6.qttest,
         python3-pyside6.qtwidgets,
         python3-pytest,
         python3-pytest-xvfb,
         python3-pytestqt,
         python3-qtawesome,
         xauth,
         xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/spyder-ide/qtawesome/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-qtawesome 1.4.1

=== debian/changelog ===
python-qtawesome (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * update debian/watch to v5 GitHub template
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Mar 2026 22:05:35 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtawesome
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtawesome.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: spyder-ide
Project: qtawesome
